/* -------------------------------------------------------------------------- */
/*                                   Common                                   */
/* -------------------------------------------------------------------------- */
:root {
    --color-primary: #da2323;
    --common-shade-background: #fff;
    --common-shade-text: #000;
    --common-shade-text-contrast: #fff;
    --shade-text-error: #da2323;
    --shade-text-warning: #f88923;
    --shade-text-info: #70c3d4;
    --shade-text-success: #afcd5f;
    --shade-bg-0: #fff;
    --shade-bg-1: #fff;
    --shade-bg-2: #f5f5f6;
    --common-shade-feedback: #0073e6;
    --common-shade-success: #e6f7f0;
    --common-shade-info: #e6f2f4;
    --common-shade-warning: #fbf0e6;
    --common-shade-error: #F9E6F2;
    --shade-border-error: #da2323;
    --shade-border-warning: #f88923;
    --shade-border-info: #70c3d4;
    --shade-border-success: #afcd5f;
    --common-shadow-opacity-base: .05;
    --shade-shadow-secondary: 0, 0, 0;
    --common-icon-size: 1.875rem;
    --common-input-padding-x: 15px;
    --common-message-padding: 15px;
}

* {
    box-sizing: border-box;
}

html,
body {
    display: block;
    height: 100%;
    background-color: var(--shade-signature);
}

body {
    font-family: Mobiliar Realist, Segoe UI, Arial, Helvetica, sans-serif;
    font-size: 16px;
    box-sizing: border-box;
    color: var(--common-shade-text);
    line-height: 20px;
}


h1 {
    margin-top: 1rem;
    margin-bottom: 2rem;
    font-family: Mobiliar Tisa, Segoe UI, Arial, Helvetica, sans-serif;
    font-size: 2rem;
    font-weight: normal;
    line-height: 2.5rem;
}

a {
    text-decoration: none;
    color: var(--common-shade-text);
}

p {
    font-size: 1rem;
    line-height: 1.5rem;
    margin-bottom: 10px;
}

ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

/* -------------------------------------------------------------------------- */
/*                                 End common                                 */
/* -------------------------------------------------------------------------- */

/* -------------------------------------------------------------------------- */
/*                                   Header                                   */
/* -------------------------------------------------------------------------- */
header {
    flex-grow: 0;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    height: 80px;
    padding: 0 1.8rem;
}

.mobi-logo {
    display: block;
    height: 1.25rem;
    width: 8.375rem;
}

.mobi-logo img {
    display: block;
    height: 100%;
    width: 100%;
}

/* -------------------------------------------------------------------------- */
/*                                 End header                                 */
/* -------------------------------------------------------------------------- */

/* -------------------------------------------------------------------------- */
/*                                   Layout                                   */
/* -------------------------------------------------------------------------- */
.container {
    position: relative;
    display: flex;
    justify-content: space-between;
    flex-wrap: nowrap;
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
}

.main-layout {
    background-color: var(--common-shade-background);
    box-shadow: 0 2px 6px #abafb3;
    margin: 4.5rem auto;
    width: 100%;
}

/* -------------------------------------------------------------------------- */
/*                                 End layout                                 */
/* -------------------------------------------------------------------------- */

/* -------------------------------------------------------------------------- */
/*                                    Form                                    */
/* -------------------------------------------------------------------------- */
.form-content {
    padding: 0 1.8rem;
    margin-bottom: 5rem;
}

.form-title {
    text-align: center;
}

.form-messages {
    margin-bottom: 2rem;
}

.form-label {
    padding: 10px 10px 0 0;
    font-weight: bold;
    color: var(--common-shade-text);
    font-style: italic;
    display: block;
    line-height: 1.25rem;
    font-family: Mobiliar Tisa, Segoe UI, Arial, Helvetica, sans-serif;
}

.form-input {
    display: block;
    position: relative;
    margin-bottom: 10px;
}

.form-input input {
    border: 1px solid;
    border-color: #969ba0;
    border-radius: 10px;
    outline: none;
    box-sizing: border-box;
    width: 100%;
    font-family: Mobiliar Realist, Segoe UI, Arial, Helvetica, sans-serif;
    font-size: 1rem;
    line-height: 1.45;
    overflow: hidden;
    height: 50px;
    transition: all 0.225s ease;
    padding: 0 var(--common-input-padding-x);
    background-color: var(--common-shade-background);
}

.form-input input:focus {
    border-color: var(--common-shade-feedback);
}

.form-input input[name='sms-code'] {
    text-align: center;
}

.form-input.error input {
    border-color: var(--shade-border-error);
}

.form-input .mobi-icon {
    position: absolute;
    z-index: 1;
    right: 1px;
    top: 50%;
    padding-right: calc(var(--common-input-padding-x) - 1px);
    transform: translateY(-50%);
    background-color: var(--common-shade-background);
    cursor: pointer;
}

.form-input:has(.mobi-icon) input {
    padding-right: calc(var(--common-input-padding-x) + var(--common-icon-size));
}

.action-link {
    text-align: right;
}

.action-link a {
    color: var(--color-primary);
    text-decoration: underline;
}

/* -------------------------------------------------------------------------- */
/*                                  End form                                  */
/* -------------------------------------------------------------------------- */

/* -------------------------------------------------------------------------- */
/*                                   Footer                                   */
/* -------------------------------------------------------------------------- */
footer {
    margin-top: auto;
    padding: 1rem 1.8rem;
    color: #fff;
    background-color: var(--color-primary);
    font-family: Mobiliar Tisa, Georgia, sans-serif;
}

.footer-content {
    display: flex;
    justify-content: space-between;
}

.mobi-language-list {
    display: flex;
}

footer a {
    color: var(--common-shade-text-contrast);
    line-height: 20px;
    font-family: Mobiliar Tisa, Georgia, sans-serif;
    font-weight: 300;
    display: inline-block;
    padding: 0 .3rem;
}

footer a:hover {
    text-decoration: underline;
}

footer a.active {
    font-weight: 600;
}

footer li.active {
    font-weight: 600;
}

footer .mobi-copyright {
    font-family: Mobiliar Tisa, Georgia, sans-serif;
    line-height: 20px;
    font-size: 0.875rem;
    text-align: right;
    color: var(--common-shade-text-contrast);
    display: block;
    margin-top: 0.5rem;
}

/* -------------------------------------------------------------------------- */
/*                                 End footer                                 */
/* -------------------------------------------------------------------------- */

/* -------------------------------------------------------------------------- */
/*                                   Button                                   */
/* -------------------------------------------------------------------------- */
.button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 3.125rem;
    padding: 0 1.5625rem;
    min-width: 180px;
    max-width: 100%;
    border: 1px solid transparent;
    border-radius: 1000px;
    line-height: 1.25;
    text-decoration: none;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    transition: transform .2s, box-shadow .2s;
    font-size: 1rem;
    font-family: Mobiliar Realist, sans-serif;
    background-color: var(--shade-bg-2);
}

.button:focus {
    border-color: var(--common-shade-feedback);
}

.button:active {
    box-shadow: inset 0 2px 4px rgba(var(--shade-shadow-secondary), calc(var(--common-shadow-opacity-base) * 4)) !important;
}

.button.primary {
    background: var(--color-primary);
    box-shadow: 0 1px 3px 0 rgba(var(--shade-shadow-secondary), var(--common-shadow-opacity-base));
    color: #fff;
    font-weight: bold;
}

.button-bar {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 3.45rem;
}

.button-bar .button {
    width: 100%;
}

.button-bar>.button:not(:last-child) {
    margin-bottom: 0.625rem;
}

.btn.btn-primary:active {
        box-shadow: none;
        -webkit-box-shadow: none;
        border-color: transparent;
        background-color: #aaaaaa;
}


/* -------------------------------------------------------------------------- */
/*                                 End button                                 */
/* -------------------------------------------------------------------------- */

/* -------------------------------------------------------------------------- */
/*                                    Icon                                    */
/* -------------------------------------------------------------------------- */

.mobi-icon {
    height: var(--common-icon-size);
    width: var(--common-icon-size);
    min-height: var(--common-icon-size);
    min-width: var(--common-icon-size);
    display: flex;
    align-items: center;
    justify-content: center;
}

/* -------------------------------------------------------------------------- */
/*                                  End icon                                  */
/* -------------------------------------------------------------------------- */

/* -------------------------------------------------------------------------- */
/*                                   Message                                  */
/* -------------------------------------------------------------------------- */
.message {
    display: flex;
    background: var(--shade-bg-0);
    border: 1px solid;
    padding: var(--common-message-padding);
    margin: 10px 0;
    border-radius: 10px;
    align-items: center;
}

.error-message {
    padding: var(--common-message-padding);
    background-color: var(--shade-bg-2);
    margin: 10px 0;
    display: flex;
    align-items: center;
}

.message .message-context, .error-message .message-context {
    flex-grow: auto;
}

.message .mobi-icon, .error-message .mobi-icon {
    margin-right: 10px;
}

.message.danger {
    border-color: var(--shade-border-error);
    background-color: var(--common-shade-error);
}


.message.warning {
    border-color: var(--shade-border-warning);
    background-color: var(--common-shade-warning);
}

.message.info {
    border-color: var(--shade-border-info);
    background-color: var(--common-shade-info)
}

.message.success {
    border-color: var(--shade-border-success);
    background-color: var(--common-shade-success);
}


.message p, .error-message p {
    margin: 0;
}

.message p+p {
    margin-top: 10px;
}

/* -------------------------------------------------------------------------- */
/*                                 End message                                */
/* -------------------------------------------------------------------------- */